body {
  background-color: #121212;
  color: white;
  margin: 0;
  padding: 0;
}

form{
  width: 30%;
  display: flex;
  flex-direction: column;
  background-color: #222;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

label{
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 30px;
  margin-top: 20px;
  color: white;
}

h2{
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: 40px;
  margin-top: 20px;
  color: #a57ad7;
}

#bg {
  background-image: url("img/bgimg.png");
  background-size: cover;
  background-repeat: no-repeat; 
  background-position: center;
  background-attachment: fixed;
}

header a {
  text-decoration: none;
}

header {
  text-decoration: none;
  padding: 0 20px;
  background-color: #121212;
  height: 65px;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #3f3f3f;
}

p {
  margin: 50px;
}

ul {
  list-style: none;
  height: 100%;
  display: flex;
  justify-content: space-around;
}

ul li {
  padding: 5px;
  margin-left: 10px;
}

ul li:hover {
  transform: scale(1.1);
  transition: 0.3s;
}

#brand {
  display: flex;
  align-items: center;
}


li a {
  color: white;
  font-family: "Josefin Sans", sans-serif;
  -webkit-text-stroke-width: .3px;
  -webkit-text-stroke-color: #121212;
  font-size: 18px;
  font-weight: 800;
  padding: 15px 20px;
  text-decoration: none;
  border-radius: 260px;
}

header a img {
  width: 70px;
  height: 70px; 
  padding: 0;
}

li a:not(.active):hover {
  background-color: #a57ad7;
}

.active {
  background-color: #a57ad7;
  color: black;
  border-radius: 260px;
}

.active:hover {
  background-color: #a57ad7 !important; /* Still don't know why it's grey on active hover */
  color: black;
}

.content-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center; /* Center horizontally */
  justify-content: center; /* Center vertically if needed */
  padding-top: 80px;
  padding-left: 10px;
  padding-right: 10px;
  margin: 0 auto;
  max-width: 980px; /* Adjust as needed */
  text-align: center;
}

.content-container {
  text-align: left; /* Left-align the text inside the container */
  max-width: 960px; /* Adjust as needed */
}

#steve {
  position: fixed; /* Lock position as the user scrolls */
  top: 200px; /* Adjust as needed */
  left: 20px; /* Adjust as needed */
  width: 300px; /* Adjust as needed */
}

.josefin-sans-opener {
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
  font-size: 40px;
  margin-top: 20px;
}

.purp {
  color: #a57ad7;
  font-weight: 400;
  font-style: italic;
}

.image-wrapper {
  display: flex;
  align-items: center;
  text-align: left; 
  margin-top: 120px; /* space after div */
}

.image-container {
  flex-shrink: 0;
  margin-right: 20px;
}

.image-container img {
  width: 250px; 
  height: 250px; 
  border-radius: 50%; 
  overflow: hidden; 
  object-fit: cover;
  border: 2px solid #a57ad7; 
}

.image-wrapper img {
  width: 250px;
  height: 250px;
  border-radius: 50%; 
  overflow: hidden;
  object-fit: cover; /* aspect ratio */
  border: 2px solid #a57ad7; /* purp border around my image */
}

.text-container {
  flex-grow: 1;
  text-align: center;
}

.text-container p {
  font-family: "Josefin Sans", sans-serif;
  font-size: 30px; 
  color: #a57ad7; 
  font-weight: 300; 
  font-style: italic;
  margin: 0;
}

#ci {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

#hamburger-icon {
  margin: auto 0;
  display: none;
  cursor: pointer;
}

#hamburger-icon div {
  width: 35px;
  height: 3px;
  background-color: white;
  margin: 6px 0;
  transition: 0.4s;
}

.open .bar1 {
  -webkit-transform: rotate(-45deg) translate(-6px, 6px);
  transform: rotate(-45deg) translate(-6px, 6px);
}

.open .bar2 {
  opacity: 0;
}

.open .bar3 {
  -webkit-transform: rotate(45deg) translate(-6px, -8px);
  transform: rotate(45deg) translate(-6px, -8px);
}

.open .mobile-menu {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.mobile-menu {
  display: none;
  position: absolute;
  top: 65px;
  left: 0;
  height: calc(100vh - 65px);
  width: 100%;
  text-align: center;
}


/* Styles for smaller screens phones*/
@media only screen and (max-width: 600px) {

  header nav {
    display: none;
  }
  
  li a {
    color: white;
    font-family: "Josefin Sans", sans-serif;
    -webkit-text-stroke-width: .3px;
    -webkit-text-stroke-color: #121212;
    font-size: 18px;
    font-weight: 800;
    padding: 15px 20px;
    text-decoration: none;
    border-radius: 260px;
    border: 1px solid black;
    border-bottom: 4px solid #412e57;
    border-right: 4px solid #412e57;
    border-left: 1px solid #1c1325;
    border-top: 1px solid #1c1325;
    background-color: #a57ad7;
    margin: 10px;
  }

  ul {
    background-color: #121212;
    padding: 0px;
    margin: 0 auto;
    gap: 30px;
  }

  ul li {
    margin-top: 20px;
  }

  #hamburger-icon {
    display: block;
  }

  .content-wrapper {
    padding-top: 10px; /* Adjust this value based on the navbar height when it wraps */
    
  }

  .content-container {
    padding-left: 20px; 
    max-width: 100%; 
    text-align: center; 
  }

  #steve {
    position: static;
    width: 80%; 
    margin-bottom: 20px; 
    margin-top: 70px;
  }

  .content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  #bj {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
  }

}

/* Styles for Medium sized Devices*/
@media only screen and (max-width: 768px) {

  .josefin-sans-opener {
    font-size: 28px;
    font-weight: 350;
    margin: 35px;
  }

  header nav {
    display: none;
  }
  
  li a {
    color: white;
    font-family: "Josefin Sans", sans-serif;
    -webkit-text-stroke-width: .3px;
    -webkit-text-stroke-color: #121212;
    font-size: 18px;
    font-weight: 800;
    padding: 15px 20px;
    text-decoration: none;
    border-radius: 260px;
    border: 1px solid black;
    border-bottom: 4px solid #412e57;
    border-right: 4px solid #412e57;
    border-left: 1px solid #1c1325;
    border-top: 1px solid #1c1325;
    background-color: #a57ad7;
    margin: 10px;
  }

  ul {
    background-color: #121212;
    padding: 0px;
    margin: 0 auto;
    gap: 30px;
  }

  ul li {
    margin-top: 20px;
  }

  #hamburger-icon {
    display: block;
  }

  .content-wrapper {
    padding-top: 10px; /* Adjust this value based on the navbar height when it wraps */
    
  }

  .content-container {
    padding-left: 20px; 
    max-width: 100%; 
    text-align: center; 
  }

  #steve {
    position: static;
    width: 80%; 
    margin-bottom: 20px; 
    margin-top: 70px;
  }

  .content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  #bj {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
  }

}
